# Uses of Class
net.shibboleth.idp.consent.context.AttributeReleaseContext

Packages that use AttributeReleaseContext
Package
Description
net.shibboleth.idp.consent.flow.ar.impl
Actions and flow descriptors related to attribute release consent.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.

## Uses of AttributeReleaseContext in net.shibboleth.idp.consent.flow.ar.impl

Fields in net.shibboleth.idp.consent.flow.ar.impl declared as AttributeReleaseContext
Modifier and Type
Field
Description
`private AttributeReleaseContext`
AbstractAttributeReleaseAction.`attributeReleaseContext`
The `AttributeReleaseContext` to operate on.
Fields in net.shibboleth.idp.consent.flow.ar.impl with type parameters of type AttributeReleaseContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AttributeReleaseContext>`
AbstractAttributeReleaseAction.`attributeReleaseContextLookupStrategy`
Strategy used to find the `AttributeReleaseContext` from the `ProfileRequestContext`.
Methods in net.shibboleth.idp.consent.flow.ar.impl that return AttributeReleaseContext
Modifier and Type
Method
Description
`AttributeReleaseContext`
AbstractAttributeReleaseAction.`getAttributeReleaseContext()`
Get the attribute release context.
Method parameters in net.shibboleth.idp.consent.flow.ar.impl with type arguments of type AttributeReleaseContext
Modifier and Type
Method
Description
`void`
AbstractAttributeReleaseAction.`setAttributeReleaseContextLookupStrategy(Function<ProfileRequestContext,AttributeReleaseContext> strategy)`
Set the attribute release context lookup strategy.

## Uses of AttributeReleaseContext in net.shibboleth.idp.consent.logic.impl

Fields in net.shibboleth.idp.consent.logic.impl with type parameters of type AttributeReleaseContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AttributeReleaseContext>`
AttributeReleaseConsentFunction.`attributeReleaseContextLookupStrategy`
Strategy used to find the `AttributeReleaseContext` from the `ProfileRequestContext`.
Method parameters in net.shibboleth.idp.consent.logic.impl with type arguments of type AttributeReleaseContext
Modifier and Type
Method
Description
`void`
AttributeReleaseConsentFunction.`setAttributeReleaseContextLookupStrategy(Function<ProfileRequestContext,AttributeReleaseContext> strategy)`
Set the attribute release context lookup strategy.